Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1599755 - Beaker reserve workflow: yum -y install beah rhts-test-env fails
Summary: Beaker reserve workflow: yum -y install beah rhts-test-env fails
Keywords:
Status: CLOSED DUPLICATE of bug 1595102
Alias: None
Product: Beaker
Classification: Community
Component: beah
Version: develop
Hardware: All
OS: Linux
unspecified
high vote
Target Milestone: ---
Assignee: Roman Joost
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-10 13:52 UTC by Dave Anderson
Modified: 2018-07-10 22:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-10 22:04:16 UTC


Attachments (Terms of Use)

Description Dave Anderson 2018-07-10 13:52:34 UTC
Description of problem:

When attempting a reserve-workflow for a RHEL8 installation, the
installation of the rhts-test-env package fails.  The reserve-workflow
remains in "Waiting" status until it times out, and returns a failure.

Version-Release number of selected component (if applicable):


How reproducible:

Always.

Steps to Reproduce:
1. goto https://beaker.engineering.redhat.com/reserveworkflow/
2. select the "RedHatEnterpriseLinux8" Family 
3. wait for failure

Actual results:

This is the section of the system console log that shows the
failure:

+ yum -y install beah rhts-test-env
Last metadata expiration check: 0:00:04 ago on Tue Jul 10 09:37:09 2018.
/usr/lib/python3.6/site-packages/dnf/module/repo_module_version.py:148: DeprecationWarning: Modulemd.SimpleSet.get is deprecated
  requires[name] = streams.get()

Error: 
 Problem 1: conflicting requests
  - nothing provides /usr/bin/python needed by rhts-test-env-4.73-1.el8+5.noarch
  - nothing provides /usr/bin/python needed by rhts-test-env-4.74-1.el8bkr.noarch
 Problem 2: conflicting requests
  - nothing provides /usr/bin/python needed by beah-0.7.11-1.el8+5.noarch
  - nothing provides python-twisted-web needed by beah-0.7.11-1.el8+5.noarch
  - nothing provides /usr/bin/python needed by beah-0.7.12-1.el8bkr.noarch
  - nothing provides python-twisted-web needed by beah-0.7.12-1.el8bkr.noarch
  - nothing provides python2-systemd needed by beah-0.7.12-1.el8bkr.noarch
+ yum -y install beakerlib
Last metadata expiration check: 0:00:04 ago on Tue Jul 10 09:37:09 2018.
/usr/lib/python3.6/site-packages/dnf/module/repo_module_version.py:148: DeprecationWarning: Modulemd.SimpleSet.get is deprecated
  requires[name] = streams.get()

Dependencies resolved.
================================================================================
 Package      Arch      Version                         Repository         Size
================================================================================
Installing:
 beakerlib    noarch    1.17-15.el8+7                   beaker-harness    156 k
Installing dependencies:
 net-tools    x86_64    2.0-0.50.20160912git.el8+7      beaker-BaseOS     302 k

Transaction Summary
================================================================================
Install  2 Packages

Total download size: 458 k
Installed size: 1.3 M
Downloading Packages:
(1/2): beakerlib-1.17-15.el8+7.noarch.rpm        24 MB/s | 156 kB     00:00    
(2/2): net-tools-2.0-0.50.20160912git.el8+7.x86  22 MB/s | 302 kB     00:00    
--------------------------------------------------------------------------------
Total                                            27 MB/s | 458 kB     00:00     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                        1/1 
  Installing       : net-tools-2.0-0.50.20160912git.el8+7.x86_64            1/2 
  Running scriptlet: net-tools-2.0-0.50.20160912git.el8+7.x86_64            1/2 
  Installing       : beakerlib-1.17-15.el8+7.noarch                         2/2 
  Running scriptlet: beakerlib-1.17-15.el8+7.noarch                         2/2Running in chroot, ignoring request: daemon-reload
 
  Verifying        : net-tools-2.0-0.50.20160912git.el8+7.x86_64            1/2 
  Verifying        : beakerlib-1.17-15.el8+7.noarch                         2/2 

Installed:
  beakerlib-1.17-15.el8+7.noarch   net-tools-2.0-0.50.20160912git.el8+7.x86_64  

Complete!
+ yum -y install beakerlib-redhat
Last metadata expiration check: 0:00:07 ago on Tue Jul 10 09:37:09 2018.
/usr/lib/python3.6/site-packages/dnf/module/repo_module_version.py:148: DeprecationWarning: Modulemd.SimpleSet.get is deprecated
  requires[name] = streams.get()

Dependencies resolved.
================================================================================
 Package               Arch        Version            Repository           Size
================================================================================
Installing:
 beakerlib-redhat      noarch      1-32.el8bkr        beaker-harness       23 k

Transaction Summary
================================================================================
Install  1 Package

Total download size: 23 k
Installed size: 22 k
Downloading Packages:
beakerlib-redhat-1-32.el8bkr.noarch.rpm         8.2 MB/s |  23 kB     00:00    
--------------------------------------------------------------------------------
Total                                           2.2 MB/s |  23 kB     00:00     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                        1/1 
  Installing       : beakerlib-redhat-1-32.el8bkr.noarch                    1/1 
  Running scriptlet: beakerlib-redhat-1-32.el8bkr.noarch                    1/1 
  Verifying        : beakerlib-redhat-1-32.el8bkr.noarch                    1/1 

Installed:
  beakerlib-redhat-1-32.el8bkr.noarch                                           

Complete!
+ cp /etc/beah_beaker.conf /etc/beah_beaker.conf.default
cp: cannot stat '/etc/beah_beaker.conf': No such file or directory
+ cat
+ cp /etc/beah.conf /etc/beah.conf.default
cp: cannot stat '/etc/beah.conf': No such file or directory
+ cat
+ systemctl enable beah-srv.service
Failed to enable unit, unit beah-srv.service does not exist.
+ systemctl enable beah-beaker-backend.service
Failed to enable unit, unit beah-beaker-backend.service does not exist.
+ systemctl enable beah-fwd-backend.service
Failed to enable unit, unit beah-fwd-backend.service does not exist.
...


Expected results:


Additional info:

Comment 1 Dan Callaghan 2018-07-10 22:04:16 UTC

*** This bug has been marked as a duplicate of bug 1595102 ***


Note You need to log in before you can comment on or make changes to this bug.